<? global $site; ?>

<div id="menu_left_<?=$this -> _menu -> get_id();?>"><i class='uil uil-align-justify'></i></div>
<div id="menu_<?=$this -> _menu -> get_id();?>">
  <?
  if ( is_array( $this -> _menu -> get_sites() ) ) foreach ( $this -> _menu -> get_sites() as $site_tmp )
  {
    switch( $site_tmp -> get_site_type() )
    {
      case 8:
        $link = $site_tmp -> get_link();
      break;
      case 9:
        $link = 'rejestracja';
      break;
      case 10:
        $link = 'wyszukiwarka';
      break;
      case 11:
        $link = 'mapa_strony';
      break;
      default:
        if ( $site_tmp -> get_seo_link() )
          $link = $site_tmp -> get_seo_link();          
        else
          $link = 's,' . $site_tmp -> get_id() . ',' . \System::seo( $site_tmp -> get_title() );
      break;
    }

    echo '<a href="' . $link . '"';
    if ( $site_tmp -> get_id() == $site -> get_id() )
      echo ' class="menu_active"';
    else
      echo ' class="menu_inactive"';
    echo ' id="menu_link_' . $this -> _menu -> get_id() . '_' . $site_tmp -> get_id() . '" title="' . ucfirst( $site_tmp -> get_title() ) . '">';
      echo ucfirst( $site_tmp -> get_title() );
    echo '</a>';
  }
  ?>
</div>
<div id="menu_right_<?=$this -> _menu -> get_id();?>"></div>